// Persistence Of Vision raytracer version 3.6 sample file.
// File by Burkhard Reike
// Last updated: 2009.3.19
// Description:
// Scene File 1 of image sequence demo.
// Creates an animation of a sphere sweeping from left to right
// within 1 second.
// To be invoked with demo1.ini (60 frames)

global_settings { assumed_gamma 1.0 }

#include "textures.inc"
#include "colors.inc"

// For animation, run 'clock' from 0 to 1          
sphere{ <0,0,0>, 0.2
   pigment { Blood_Marble }
   finish { ambient 0.5 diffuse 1 specular 0.5 }
   translate <-1+2*clock,0.6*sin(clock*2*pi),0>  
}

light_source {
   <-10, 10, -10>
   color White
}

camera {
   orthographic
   up 0.75*y
   right x
   angle 15
   location <0,0,-10>
}