// Persistence Of Vision raytracer version 3.6 sample file.
// File by Burkhard Reike
// Last updated: 2009.3.19
// Description:
// Scene File 2 of image sequence demo.
// Converts the demoa.pov image sequence rendered with 60 FPS
// into an image sequence rendered with 8 FPS, without blending.
// To be invoked with demob.ini

global_settings { assumed_gamma 1.0 }

#include "imagesequence.inc"
                  
#declare Is = IS_CreateImageSequence();

IS_SetName(Is,"demoa")     // The string before the index of the source images.
IS_SetFirstIndex(Is,1)     // The first index of the source images.
IS_SetLastIndex(Is,60)     // The last index of the source images.
IS_SetDigits(Is,2)         // The number of digits in the source image names.
IS_SetType(Is,"png")       // The bitmap type of the source images (as string), eg. "gif" , "tga", "iff",
                           //    "ppm", "pgm", "png", "jpeg", "tiff", "sys"
IS_SetExtension(Is,".png") // The file extension of the source images.
 
IS_SetSourceFPS(Is,60)     // The frame rate of the source images sequence.
IS_SetTargetFPS(Is,8)      // The frame rate by which this scene will be rendered. 

IS_SetBlendedImages(Is,0)  // Disable image blending.  
  
// Render the frame that is located at 'clock' seconds.
object { IS_StandardBox(Is,clock) } 
camera { IS_StandardCamera() }    
 
